/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.kintai.payroll.dto;

import java.util.Date;

import jp.mosp.common.common.BaseDto;

/**
 * KD_PAID_HOLIDAY(有休管理テーブル)のDTOクラス。
 */
public class KdPaidHolidayDto extends BaseDto {
	
	/**
	 * 
	 */
	private static final long	serialVersionUID	= -4290289471384261474L;
	// フィールド
	private long				paidid				= 0;
	private String				kcode				= "";
	private String				processtype			= "";
	private Date				processdate			= null;
	private double				lastremaindays		= 0;
	private int					lastremainhour		= 0;
	private double				remaindays			= 0;
	private int					remainhour			= 0;
	private int					possible			= 0;
	private int					deleteflag			= 0;
	

	/**
	 * コンストラクタ。
	 */
	public KdPaidHolidayDto() {
		super();
	}
	
	// アクセサメソッド
	/**
	 * @return paidid 	有休ID。
	 */
	public long getPaidId() {
		return paidid;
	}
	
	/**
	 * @return kcode 	社員コード。
	 */
	public String getKCode() {
		return kcode;
	}
	
	/**
	 * @return processtype 	処理コード。
	 */
	public String getProcessType() {
		return processtype;
	}
	
	/**
	 * @return processdate 	支給日。
	 */
	public Date getProcessDate() {
		return (Date)processdate.clone();
	}
	
	/**
	 * @return lastremaindays 	前年度残日数。
	 */
	public double getLastRemainDays() {
		return lastremaindays;
	}
	
	/**
	 * @return lastremainhour 	前年度残時間。
	 */
	public int getLastRemainHour() {
		return lastremainhour;
	}
	
	/**
	 * @return remaindays 	今年度残日数。
	 */
	public double getRemainDays() {
		return remaindays;
	}
	
	/**
	 * @return remainhour 	今年度残時間。
	 */
	public int getRemainHour() {
		return remainhour;
	}
	
	/**
	 * @return possible 	時間単位取得可能日数。
	 */
	public int getPossible() {
		return possible;
	}
	
	/**
	 * @return deleteflag 	削除フラグ。
	 */
	public int getDeleteFlag() {
		return deleteflag;
	}
	
	/**
	 * @param paidid 	セットする有休ID。
	 */
	public void setPaidId(long paidid) {
		this.paidid = paidid;
	}
	
	/**
	 * @param kcode 	セットする社員コード。
	 */
	public void setKCode(String kcode) {
		this.kcode = kcode;
	}
	
	/**
	 * @param processtype 	セットする処理コード。
	 */
	public void setProcessType(String processtype) {
		this.processtype = processtype;
	}
	
	/**
	 * @param processdate 	セットする支給日。
	 */
	public void setProcessDate(Date processdate) {
		this.processdate = (Date)processdate.clone();
	}
	
	/**
	 * @param lastremaindays 	セットする前年度残日数。
	 */
	public void setLastRemainDays(double lastremaindays) {
		this.lastremaindays = lastremaindays;
	}
	
	/**
	 * @param lastremainhour 	セットする前年度残時間。
	 */
	public void setLastRemainHour(int lastremainhour) {
		this.lastremainhour = lastremainhour;
	}
	
	/**
	 * @param remaindays 	セットする今年度残日数。
	 */
	public void setRemainDays(double remaindays) {
		this.remaindays = remaindays;
	}
	
	/**
	 * @param remainhour 	セットする今年度残時間。
	 */
	public void setRemainHour(int remainhour) {
		this.remainhour = remainhour;
	}
	
	/**
	 * @param possible 	セットする時間単位取得可能日数。
	 */
	public void setPossible(int possible) {
		this.possible = possible;
	}
	
	/**
	 * @param deleteflag 	セットする削除フラグ。
	 */
	public void setDeleteFlag(int deleteflag) {
		this.deleteflag = deleteflag;
	}
	
}
